org.apache.maven.settings

## Class DefaultMavenSettingsBuilder

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.settings.DefaultMavenSettingsBuilder

- All Implemented Interfaces:
    MavenSettingsBuilder

      public class DefaultMavenSettingsBuilder
      extends AbstractLogEnabled
      implements MavenSettingsBuilder

  Version:
    $Id: DefaultMavenSettingsBuilder.java 747683 2009-02-25 06:52:54Z brett $
  Author:
    jdcasey

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `userHome`

    - ### Fields inherited from interface org.apache.maven.settings.MavenSettingsBuilder

      `ALT_GLOBAL_SETTINGS_XML_LOCATION, ALT_LOCAL_REPOSITORY_LOCATION, ALT_USER_SETTINGS_XML_LOCATION, ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMavenSettingsBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Settings` | `buildSettings()`
    `Settings` | `buildSettings(boolean useCachedSettings)`
    `Settings` | `buildSettings(java.io.File userSettingsFile)`
    `Settings` | `buildSettings(java.io.File userSettingsFile, boolean useCachedSettings)`
    `void` | `initialize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userHome

          public static final java.lang.String userHome

  - ### Constructor Detail

    - #### DefaultMavenSettingsBuilder

          public DefaultMavenSettingsBuilder()

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### buildSettings

          public Settings buildSettings()
                                 throws java.io.IOException,
                                        XmlPullParserException

      Specified by:
        `buildSettings` in interface `MavenSettingsBuilder`
      Returns:
        a `Settings` object from the user settings file.
      Throws:
        `java.io.IOException` - if any
        `XmlPullParserException` - if any

    - #### buildSettings

          public Settings buildSettings(boolean useCachedSettings)
                                 throws java.io.IOException,
                                        XmlPullParserException

      Specified by:
        `buildSettings` in interface `MavenSettingsBuilder`
      Parameters:
        `useCachedSettings` - if true, doesn't reload the user settings
      Returns:
        a `Settings` object from the user settings file.
      Throws:
        `java.io.IOException` - if any
        `XmlPullParserException` - if any

    - #### buildSettings

          public Settings buildSettings(java.io.File userSettingsFile)
                                 throws java.io.IOException,
                                        XmlPullParserException

      Specified by:
        `buildSettings` in interface `MavenSettingsBuilder`
      Parameters:
        `userSettingsFile` - a given user settings file
      Returns:
        a `Settings` object from the user settings file.
      Throws:
        `java.io.IOException` - if any
        `XmlPullParserException` - if any

    - #### buildSettings

          public Settings buildSettings(java.io.File userSettingsFile,
                               boolean useCachedSettings)
                                 throws java.io.IOException,
                                        XmlPullParserException

      Specified by:
        `buildSettings` in interface `MavenSettingsBuilder`
      Parameters:
        `userSettingsFile` - a given user settings file
        `useCachedSettings` - if true, doesn't reload the user settings
      Returns:
        a `Settings` object from the user settings file.
      Throws:
        `java.io.IOException` - if any
        `XmlPullParserException` - if any